Ubuntu 16.04 - s390/cpuinfo: show facilities as reported by stfle

Bug #1744736 reported by bugproxy on 2018-01-22
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Canonical Kernel Team
linux (Ubuntu)
High
Joseph Salisbury
Xenial
High
Joseph Salisbury

Bug Description

== SRU Justification ==
IBM is requesting these two commits in Xenial, which are already
in Artful and Bionic. These commits allow identifying the microcode level
[MCL] of a [Z] system, hence let's one [IBM] know if the level includes
mitigation for Spectre or not.

Both commits are in mailine as of v4.12-rc1.

== Fixes ==
09214545c4a4 ("s390/bitops: add for_each_set_bit_inv helper")
157467ba9fb7 ("s390/cpuinfo: show facilities as reported by stfle")

== Regression Potential ==
Low. These fixes are specific to s390.

== Original Bug Description ==
Please backport this upstream commit:

commit 157467ba9fb7e379f0540707dd89111de441e45e
Author: Heiko Carstens <email address hidden>
Date: Sat Feb 25 12:16:48 2017 +0100

    s390/cpuinfo: show facilities as reported by stfle

    Add a new line to /proc/cpuinfo which shows all available facilities
    as reported by the stfle instruction:

    > cat /proc/cpuinfo
    ...
    facilities : 0 1 2 3 4 6 7 ...
    ...
As pre-req, also apply commit 9194bc62e6314f4d8cef60e80070ca2bb4182e99
Author: Heiko Carstens <email address hidden>
Date: Sat Feb 25 12:16:31 2017 +0100

    s390/bitops: add for_each_set_bit_inv helper

    Same helper function like for_each_set_bit in generic code.

which introduces for_each_set_bit_inv() that is used to process the facilities bits.

bugproxy (bugproxy) on 2018-01-22
tags: added: architecture-s39064 bugnameltc-163804 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
information type: Public → Private
Changed in ubuntu-z-systems:
importance: Undecided → High
status: New → Triaged
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: kernel-da-key

------- Comment From <email address hidden> 2018-01-23 09:01 EDT-------
Set target to 16.04

tags: added: targetmilestone-inin1604
removed: targetmilestone-inin---
Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → High
information type: Private → Public
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Joseph Salisbury (jsalisbury)
status: Triaged → In Progress
Changed in linux (Ubuntu Xenial):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built a Xenial test kernel with a pick of 0921454 and backport of 157467ba9fb. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1744736

Can you test this kernel and see if it resolves this bug?

Note, to test this kernel, you need to install both the linux-image and linux-image-extra .deb packages.

Thanks in advance!

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-02-16 06:57 EDT-------
I can confirm the launchpad test build kernel provides the cpu facilities, see below:

root@s35lp49:~# uname -a
Linux s35lp49 4.4.0-112-generic #135~lp1744736 SMP Thu Feb 15 20:42:01 UTC 2018 s390x s390x s390x GNU/Linux

root@s35lp49:~# cat /proc/cpuinfo
vendor_id : IBM/S390
# processors : 16
bogomips per cpu: 21881.00
features : esan3 zarch stfle msa ldisp eimm dfp edat etf3eh highgprs te vx
facilities : 0 1 2 3 4 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 30 31 32 33 34 35 36 37 38 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 57 58 59 60 64 65 66 67 68 69 70 71 72 73 75 76 77 78 80 81 82 128 129 130 131 132 133 134 135 138 139 142 144 145 146 1024 1025 1026 1027 1028 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1054 1055 1056 1057 1058 1059 1060 1061 1062 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1081 1082 1083 1084 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1099 1100 1101 1102 1104 1105 1106 1152 1153 1154 1155 1156 1157 1158 1159 1162 1163 1166 1168 1169 1170
cache0 : level=1 type=Data scope=Private size=128K line_size=256 associativity=8
cache1 : level=1 type=Instruction scope=Private size=128K line_size=256 associativity=8
cache2 : level=2 type=Data scope=Private size=4096K line_size=256 associativity=8
cache3 : level=2 type=Instruction scope=Private size=2048K line_size=256 associativity=8
cache4 : level=3 type=Unified scope=Shared size=131072K line_size=256 associativity=32
cache5 : level=4 type=Unified scope=Shared size=688128K line_size=256 associativity=42
processor 0: version = 00, identification = 3429E7, machine = 3906
processor 1: version = 00, identification = 3429E7, machine = 3906
processor 2: version = 00, identification = 3429E7, machine = 3906
processor 3: version = 00, identification = 3429E7, machine = 3906
processor 4: version = 00, identification = 3429E7, machine = 3906
processor 5: version = 00, identification = 3429E7, machine = 3906
processor 6: version = 00, identification = 3429E7, machine = 3906
processor 7: version = 00, identification = 3429E7, machine = 3906
processor 8: version = 00, identification = 3429E7, machine = 3906
processor 9: version = 00, identification = 3429E7, machine = 3906
processor 10: version = 00, identification = 3429E7, machine = 3906
processor 11: version = 00, identification = 3429E7, machine = 3906
processor 12: version = 00, identification = 3429E7, machine = 3906
processor 13: version = 00, identification = 3429E7, machine = 3906
processor 14: version = 00, identification = 3429E7, machine = 3906
processor 15: version = 00, identification = 3429E7, machine = 3906

Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Stefan Bader (smb) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Frank Heimes (frank-heimes) wrote :

Successfully verified:

$ uname -a
Linux s1lp9 4.4.0-117-generic #141-Ubuntu SMP Tue Mar 13 11:57:26 UTC 2018 s390x s390x s390x GNU/Linux

$ cat /proc/cpuinfo | grep facilities
facilities : 0 1 2 3 4 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 30 31 32 33 34 35 36 37 40 41 42 43 44 45 46 47 48 49 50 51 52 53 55 57 64 65 66 67 68 69 70 71 72 73 75 76 77 78 80 81 82 128 129 131 132 142 143 1024 1025 1026 1027 1028 1030 1031 1032 1033 1034 1035 1036 1037 1038 1039 1040 1041 1042 1043 1044 1045 1046 1047 1048 1049 1050 1051 1052 1054 1055 1056 1057 1058 1059 1060 1061 1064 1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1079 1081 1088 1089 1090 1091 1092 1093 1094 1095 1096 1097 1099 1100 1101 1102 1104 1105 1106 1152 1153 1155 1156 1166 1167

See also attached details.txt doc.

Changed in linux (Ubuntu):
status: In Progress → Fix Committed
tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (56.9 KiB)

This bug was fixed in the package linux - 4.4.0-119.143

---------------
linux (4.4.0-119.143) xenial; urgency=medium

  * linux: 4.4.0-119.143 -proposed tracker (LP: #1760327)

  * Dell XPS 13 9360 bluetooth scan can not detect any device (LP: #1759821)
    - Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"

linux (4.4.0-118.142) xenial; urgency=medium

  * linux: 4.4.0-118.142 -proposed tracker (LP: #1759607)

  * Kernel panic with AWS 4.4.0-1053 / 4.4.0-1015 (Trusty) (LP: #1758869)
    - x86/microcode/AMD: Do not load when running on a hypervisor

  * CVE-2018-8043
    - net: phy: mdio-bcm-unimac: fix potential NULL dereference in
      unimac_mdio_probe()

linux (4.4.0-117.141) xenial; urgency=medium

  * linux: 4.4.0-117.141 -proposed tracker (LP: #1755208)

  * Xenial update to 4.4.114 stable release (LP: #1754592)
    - x86/asm/32: Make sync_core() handle missing CPUID on all 32-bit kernels
    - usbip: prevent vhci_hcd driver from leaking a socket pointer address
    - usbip: Fix implicit fallthrough warning
    - usbip: Fix potential format overflow in userspace tools
    - x86/microcode/intel: Fix BDW late-loading revision check
    - x86/retpoline: Fill RSB on context switch for affected CPUs
    - sched/deadline: Use the revised wakeup rule for suspending constrained dl
      tasks
    - can: af_can: can_rcv(): replace WARN_ONCE by pr_warn_once
    - can: af_can: canfd_rcv(): replace WARN_ONCE by pr_warn_once
    - PM / sleep: declare __tracedata symbols as char[] rather than char
    - time: Avoid undefined behaviour in ktime_add_safe()
    - timers: Plug locking race vs. timer migration
    - Prevent timer value 0 for MWAITX
    - drivers: base: cacheinfo: fix x86 with CONFIG_OF enabled
    - drivers: base: cacheinfo: fix boot error message when acpi is enabled
    - PCI: layerscape: Add "fsl,ls2085a-pcie" compatible ID
    - PCI: layerscape: Fix MSG TLP drop setting
    - mmc: sdhci-of-esdhc: add/remove some quirks according to vendor version
    - fs/select: add vmalloc fallback for select(2)
    - hwpoison, memcg: forcibly uncharge LRU pages
    - cma: fix calculation of aligned offset
    - mm, page_alloc: fix potential false positive in __zone_watermark_ok
    - ipc: msg, make msgrcv work with LONG_MIN
    - x86/ioapic: Fix incorrect pointers in ioapic_setup_resources()
    - ACPI / processor: Avoid reserving IO regions too early
    - ACPI / scan: Prefer devices without _HID/_CID for _ADR matching
    - ACPICA: Namespace: fix operand cache leak
    - netfilter: x_tables: speed up jump target validation
    - netfilter: arp_tables: fix invoking 32bit "iptable -P INPUT ACCEPT" failed
      in 64bit kernel
    - netfilter: nf_dup_ipv6: set again FLOWI_FLAG_KNOWN_NH at flowi6_flags
    - netfilter: nf_ct_expect: remove the redundant slash when policy name is
      empty
    - netfilter: nfnetlink_queue: reject verdict request from different portid
    - netfilter: restart search if moved to other chain
    - netfilter: nf_conntrack_sip: extend request line validation
    - netfilter: use fwmark_reflect in nf_send_reset
    - ext2: Don't clear SGID when inheriting ACLs
    - reiserfs: fix race in prealloc discard
    - re...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-04-04 06:56 EDT-------
IBM bugzilla status -> Closed , Fix Released with Bionic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments